org.apache.ignite.internal.processors.platform.cache.affinity

## Class PlatformAffinityFunctionTarget

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.cache.affinity.PlatformAffinityFunctionTarget

All Implemented Interfaces:
  PlatformTarget

    public class PlatformAffinityFunctionTarget
    extends PlatformAbstractTarget

Platform affinity function target: to be invoked when Platform function calls base implementation of one of the AffinityFunction methods.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
`protected` `PlatformAffinityFunctionTarget(PlatformContext platformCtx, AffinityFunction baseFunc)` Constructor.

### Method Summary

Methods
`protected long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`protected void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, currentFuture, futureWriter, inObjectStreamOutStream, inStreamOutLong, inStreamOutObject, inStreamOutStream, listenFuture, listenFutureAndGet, listenFutureForOperation, listenFutureForOperationAndGet, outLong, outObject, outStream, platformContext, processInObjectStreamOutStream, processInStreamOutObject, processInStreamOutStream, processOutLong, processOutObject, throwUnsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformAffinityFunctionTarget

    protected PlatformAffinityFunctionTarget(PlatformContext platformCtx,
                                  AffinityFunction baseFunc)

Constructor.

Parameters:
  `platformCtx` - Context.
  `baseFunc` - Function to wrap.

### Method Detail

#### processInStreamOutLong

    protected long processInStreamOutLong(int type,
                              BinaryRawReaderEx reader)
                                   throws IgniteCheckedException

Process IN operation.

Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutStream

    protected void processOutStream(int type,
                        BinaryRawWriterEx writer)
                             throws IgniteCheckedException

Process OUT operation.

Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016